- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::ProceduralEI< EI > Class Template Reference

`#include <ProceduralEI.h>`

Collaboration diagram for Mers::Interfaces::ProceduralEI< EI >:

[legend]
List of all members.

## Public Member Functions
| ProceduralEI (EI *ei)
virtual | ~ProceduralEI ()
EI & | getExecutionInterface ()
virtual int | executeTask (ExecutionInterfaceBase::TaskIdentifier task)
## Protected Attributes
EI & | mEI
| The execution interface that this object operates on.

## Detailed Description

### template<class EI>
class Mers::Interfaces::ProceduralEI< EI >

This class will take any execution interface and will run tasks given to it until completion.

Definition at line 28 of file ProceduralEI.h.

## Constructor & Destructor Documentation

template<class EI>

Mers::Interfaces::ProceduralEI< EI >::ProceduralEI | ( | EI * | ei | ) | `[inline]`

Creates a new Procedural Execution Interface.

Definition at line 34 of file ProceduralEI.h.

References Mers::Interfaces::ProceduralEI< EI >::mEI.

template<class EI>

virtual Mers::Interfaces::ProceduralEI< EI >::~ProceduralEI | ( |  | ) | `[inline, virtual]`

Destroys this object.

Definition at line 41 of file ProceduralEI.h.

References Mers::Interfaces::ProceduralEI< EI >::mEI.

## Member Function Documentation

template<class EI>

EI& Mers::Interfaces::ProceduralEI< EI >::getExecutionInterface | ( |  | ) | `[inline]`

Returns a handle to the execution interface that this object is executing tasks for.

Returns:
  this object's execution interface.

Definition at line 50 of file ProceduralEI.h.

References Mers::Interfaces::ProceduralEI< EI >::mEI.

template<class EI>

virtual int Mers::Interfaces::ProceduralEI< EI >::executeTask | ( | ExecutionInterfaceBase::TaskIdentifier | task | ) | `[inline, virtual]`

Executes the specified task until completion or until an error occurs.

Parameters:

  | task | The task that should be executed. This should be an identifier returned by the Execution Interface EI.

Definition at line 61 of file ProceduralEI.h.

References Mers::Interfaces::ProceduralEI< EI >::mEI.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/ProceduralEI.h